/* System Call API for easy use */

/* Set IP for host inband and outband interface */
int SetIPV4Addr(int ifp, unsigned long IPV4Addr);
int SetIPV4Netmask(int ifp, unsigned long IPV4Netmask);
int SetIPV4DefaultRoute(unsigned long IPV4Addr);
int SetIPV4IFBroadcast(int ifp);
int SetIPV4IFMulticast(int ifp);
int SetIPV4IFMetric(int ifp, int metric);
int SetIPV4IFMTU(int ifp, int mtu);
int SetIPV4IFStat(int ifp,int stat);
/*
int SetIPV4IF(int ifp, unsigned long IPV4Addr, \
	      unsigned long IPV4Netmask, unsigned long DefaultRoute, \
	      int Broadcast, int Multicast, int metric, int MTU, int active);
*/
/* Get IP for host inband outband interface */
unsigned long GetIfAddr(char *ifname,int InfoType);
unsigned long GetIPV4Addr(int ifp);
unsigned long GetIPV4Netmask(int ifp);
unsigned long GetIPV4DefaultRoute(void);
int GetIPV4IFBroadcast(int ifp);
int GetIPV4IFMulticast(int ifp);
int GetIPV4IFMetric(int ifp);
int GetIPV4IFMTU(int ifp);
int GetIPV4IFStat(int ifp);

/* Time */
char *GetTime(void);
void SetTime(int time_format, char *timestring);
void SetTimeZone(int minutes,char *timezone);
char *GetTimeZone(void);
int GetDaylightsaving(void);
void SetDaylightsaving(int dst);

/* Hostname */
void GetHostName(char *hostname);
void SetHostName(char *hostname);
char *HostToAddr(char *hostname);

/* Syslog */
void SysLog(int LOG_Facility,char *LOG_Message);

void Syslog_Emerg(char *LOG_Message);
void Syslog_Alert(char *LOG_Message);
void Syslog_Crit(char *LOG_Message);
void Syslog_Err(char *LOG_Message);
void Syslog_Warn(char *LOG_Message);
void Syslog_Notice(char *LOG_Message);
void Syslog_Info(char *LOG_Message);
void Syslog_Debug(char *LOG_Message);

/* Integer to String converter */
char *itoa(int n,char s[]);
